Subject: Re: AMCC PPC460EX Canyonlands does not see PCIe end point with only non-prefetchable memory (both 2.6.27.7 and -next)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 01 Dec 2008 19:11:32 +1100

On Fri, 2008-11-28 at 11:54 +0100, Leon Woestenberg wrote:
> 
> I found out that re-programming the end point FPGA again *just* after
> *uboot* read it, and before Linux kernel has started, makes the end
> point appear properly.
> 
> Either u-boot leaves the end point in bad state, or the root complex
> reset also requires an end point reset. (or a third option I could not
> think of yet).

I think you are getting a reset yes, maybe your FPGA loses its
programming or something similar ?

> I'll pick this up on ppc and u-boot mailing list with new info,
> especially with the ppc4xx maintainers.
> 
CC me,

Ben.